/* Reset span.button */
span.button {
	background: none;
	border: none;
	margin: 0;
	padding: 0;
	font-size: 0;
	font-family: inherit;
	line-height: 0;
	width: auto;
	overflow: visible;
}

/* Style */
span.button, span.button span {
	display: inline-block;
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	border-radius: 4px;
}
span.button {
	white-space: nowrap;
	line-height: -0.3em;
	margin-top: -3px;
	position: relative;
	outline: none;
	cursor: hand;
	cursor: pointer;
	overflow: visible; /* Remove extra side padding in IE */
	border: 1px solid #999;/* IE */
	border: rgba(0, 0, 0, .2) 1px solid; /* SF4+, Chrome, FF3.6 */
	border-bottom: rgba(0, 0, 0, .4) 1px solid;
	-webkit-box-shadow: 0 1px 2px rgba(0, 0, 0, .2);
	-moz-box-shadow: 0 1px 2px rgba(0, 0, 0, .2);
	box-shadow: 0 1px 2px rgba(0,0,0,.2);
	background: -moz-linear-gradient(
		center top,
		rgba(255, 255, 255, .1) 0%,
		rgba(0, 0, 0, .1) 100%
	); /* FF3.6 */
	background: -webkit-gradient(
		linear,
		center bottom,
		center top,
		from(rgba(0, 0, 0, .1)),
		to(rgba(255, 255, 255, .1))
	); /* SF4+, Chrome */
	filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='#19FFFFFF', EndColorStr='#19000000'); /* IE6, IE7 */
	-ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorStr='#19FFFFFF', EndColorStr='#19000000')"; /* IE8 */
	-moz-user-select: none;
	-webkit-user-select:none;
	-khtml-user-select: none;
	user-select: none;
}
span.button::-moz-focus-inner {
    border: none; /* Overrides extra padding in Firefox */
}
span.button, span.button:hover {
	text-decoration: none;
}
span.button.full, span.button.full span {
	display: block;
}
span.button:hover, span.button.hover {
	background: -moz-linear-gradient(
		center top,
		rgba(255, 255, 255, .2) 0%,
		rgba(255, 255, 255, .1) 100%
	); /* FF3.6 */
	background: -webkit-gradient(
		linear,
		center bottom,
		center top,
		from(rgba(255, 255, 255, .1)),
		to(rgba(255, 255, 255, .2))
	); /* SF4+, Chrome */
	filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='#33FFFFFF', EndColorStr='#19FFFFFF'); /* IE6, IE7 */
	-ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorStr='#33FFFFFF', EndColorStr='#19FFFFFF')"; /* IE8 */
}
span.button:active, span.button.active {
	top: 1px;
	background: -moz-linear-gradient(
		center top,
		rgba(0, 0, 0, .1) 0%,
		rgba(255, 255, 255, .1) 100%
	); /* FF3.6 */
	background: -webkit-gradient(
		linear,
		center bottom,
		center top,
		from(rgba(255, 255, 255, .1)),
		to(rgba(0, 0, 0, .1))
	); /* SF4+, Chrome */
	filter:  progid:DXImageTransform.Microsoft.gradient(startColorStr='#19000000', EndColorStr='#19FFFFFF'); /* IE6,IE7 */
	-ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorStr='#19000000', EndColorStr='#19FFFFFF')"; /* IE8 */
}
span.button span {
	position: relative;
	color: #fff !important;
	text-shadow: 0 1px 1px rgba(0, 0, 0, 0.25) !important;
	border-top: rgba(255, 255, 255, .2) 1px solid !important;
	padding: 0.6em 0.75em;
	line-height: 1em;
	text-decoration: none;
	text-align: center;
	white-space: nowrap;
	margin: 0px;
}

/* Sizes */
span.button.small span,
span.button span {
	font-size: 12px;
}
span.button.medium span {
	font-size: 14px;
}
span.button.large span {
	font-size: 16px;
}
span.button.huge span {
	font-size: 18px;
}
span.button.enormous span {
	font-size: 20px;
}

/* Colors */
span.button.black {
	background-color: #333333;
}
span.button.gray {
	background-color: #666666;
}
span.button.white {
	background-color: #FFFFFF;
}
span.button.white span {
	color: #666666 !important;
}
span.button.red {
	background-color: #e62727;
}
span.button.orange {
	background-color: #ff5c00;
}
span.button.magenta {
	background-color: #A9014B;
}
span.button.yellow {
	background-color: #ffb515;
}
span.button.blue {
	background-color: #00ADEE;
}
span.button.pink {
	background-color: #e22092;
}
span.button.green {
	background-color: #91bd09;
}
span.button.rosy {
	background-color: #F16C7C;
}